From 1978f30dc77189b2cb96015fe6a03f7656873ac8 Mon Sep 17 00:00:00 2001
From: Dagobert Michelsen <dam@opencsw.org>
Date: Sun, 26 May 2013 23:32:01 +0200
Subject: [PATCH] Use location of TIOCGWINSZ from autoconf manual

---
 configure.ac     | 4 +++-
 src/flac/utils.c | 7 ++++++-
 2 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index 6355f72..2f3824c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -59,7 +59,9 @@ AC_C_INLINE
 AC_C_VARARRAYS
 AC_C_TYPEOF
 
-AC_CHECK_HEADERS([stdint.h inttypes.h byteswap.h sys/param.h])
+AC_CHECK_HEADERS([stdint.h inttypes.h byteswap.h sys/param.h termios.h])
+
+AC_HEADER_TIOCGWINSZ
 
 XIPH_C_BSWAP32
 
diff --git a/src/flac/utils.c b/src/flac/utils.c
index f624235..9e08bf4 100644
--- a/src/flac/utils.c
+++ b/src/flac/utils.c
@@ -32,7 +32,12 @@
 #include "share/compat.h"
 #ifndef _WIN32
 #include <wchar.h>
-#include <sys/ioctl.h>
+#ifdef HAVE_TERMIOS_H
+# include <termios.h>
+#endif
+#ifdef GWINSZ_IN_SYS_IOCTL
+# include <sys/ioctl.h>
+#endif
 #endif
 
 const char *CHANNEL_MASK_TAG = "WAVEFORMATEXTENSIBLE_CHANNEL_MASK";
-- 
1.8.1.4

